### Virtual Method

# Ide Vcs get_workdir

#### Declaration

    GFile*
    get_workdir (
      IdeVcs* self
    )

#### Description

Retrieves the working directory for the context. This is the root of where the project files exist.

This function is safe to call from threads holding a reference to `self`.

Available since: | 3.32

#### Return value

Returns: | `GFile`
| A `GFile`.
| The data is owned by the called function.